<?php
// $Id: views-view-list--gallery-list-page.tpl.php,v 1.1.2.2 2009/03/29 15:16:15 rareface Exp $
/**
 * @file views-view-list.tpl.php
 * Default simple view template to display a list of rows.
 *
 * - $title : The title of this group of rows.  May be empty.
 * - $options['type'] will either be ul or ol.
 * @ingroup views_templates
 */
?>
<div class="item-list">
  <?php if (!empty($title)) : ?>
    <h3><?php print $title; ?></h3>
  <?php endif; ?>
  <<?php print $options['type']; ?>>
    <?php foreach ($rows as $id => $row): ?>
      <li class="<?php print $classes[$id]; ?>"><?php print $row; ?>
      <div class="gallery-thumb"><?php print $gallery_thumbs[$id]; ?></div>
      </li>
    <?php endforeach; ?>
  </<?php print $options['type']; ?>
</div>